Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040285
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2019-02-27 15:122019-03-28 14:56
ReporterLeyreView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision8f41e7a205f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040285: Error in Copy Lines -> Purchase invoice when the preference Enable UOM Management is active

DescriptionError in Copy Lines -> Purchase invoice when the preference Enable UOM Management is active
Steps To Reproduce1. Activate the Enable UOM Management preference.

2. Generate a new Purchase invoice with a line -> check "Financial Invoice Line" selected.

3. Create another Purchase Invoice and "Copy Lines" from the previous Purchase Invoice.

-> Check that the screen shows an error:

Error:
Process failed during execution

Log attached log.txt
TagsNo tags attached.
Attached Filestxt file icon log.txt [^] (2,728 bytes) 2019-02-27 15:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110207)
AtulOpenbravo (developer)
2019-03-04 19:33

Test Plan

- Add Enable UOM Management preference for F&B International Group client.
- Add G/L Item, set Enable in Financial Invoice =Yes, set tax = exempt.
- Create a new Purchase invoice with a line -> check "Financial Invoice Line" selected, select above G/L item, add price. Complete invoice.
- Create another Purchase Invoice and using "Copy Lines" select previous Purchase Invoice.
- Lines are successfully created.
(0110394)
hgbot (developer)
2019-03-13 08:59

Repository: erp/devel/pi
Changeset: 8f41e7a205f8423b07122cedf6001da437bd7fda
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 04 11:04:58 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8f41e7a205f8423b07122cedf6001da437bd7fda [^]

Fixes Issue 0040285: Error in Copy Lines -> Purchase invoice when
the preference Enable UOM Management is active

** Not empty check for product id is done before getting default aum

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice.java
---
(0110395)
hgbot (developer)
2019-03-13 08:59

Repository: erp/devel/pi
Changeset: 8351f0739a6cf96a08b862b7bc86d8ca95c27235
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 04 11:14:04 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8351f0739a6cf96a08b862b7bc86d8ca95c27235 [^]

Related To Issue 0040285: Error in Copy Lines -> Purchase invoice
when the preference Enable UOM Management is active

** Use StringUtils to avoid NPE

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice.java
---
(0110396)
hgbot (developer)
2019-03-13 08:59

Repository: erp/devel/pi
Changeset: 694c66ecffcfc4c3e745f225b06a16571bfda6f0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 05 00:11:39 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/694c66ecffcfc4c3e745f225b06a16571bfda6f0 [^]

Related to Issue 40285:Error in Copy Lines -> Purchase invoice when the
preference Enable UOM Management is active

** Use StringUtils to avoid NPE

---
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromInvoice.java
---
(0110397)
Sandrahuguet (developer)
2019-03-13 09:00

Code review + testing OK
(0110866)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110867)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110868)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-27 15:12 Leyre New Issue
2019-02-27 15:12 Leyre Assigned To => Triage Finance
2019-02-27 15:12 Leyre File Added: log.txt
2019-02-27 15:12 Leyre Modules => Core
2019-02-27 15:12 Leyre Triggers an Emergency Pack => No
2019-02-28 08:24 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-03-04 19:33 AtulOpenbravo Status new => scheduled
2019-03-04 19:33 AtulOpenbravo Note Added: 0110207
2019-03-13 08:59 hgbot Checkin
2019-03-13 08:59 hgbot Note Added: 0110394
2019-03-13 08:59 hgbot Status scheduled => resolved
2019-03-13 08:59 hgbot Resolution open => fixed
2019-03-13 08:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8f41e7a205f8423b07122cedf6001da437bd7fda [^]
2019-03-13 08:59 hgbot Checkin
2019-03-13 08:59 hgbot Note Added: 0110395
2019-03-13 08:59 hgbot Checkin
2019-03-13 08:59 hgbot Note Added: 0110396
2019-03-13 09:00 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-13 09:00 Sandrahuguet Note Added: 0110397
2019-03-13 09:00 Sandrahuguet Status resolved => closed
2019-03-13 09:00 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110866
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110867
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110868


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker